# Command: testsuite::ticket-772

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::ticket-772 - NEST should not crash, if integer values for weight/ delay are used

Synopsis:

    (ticket-772) run -> NEST exits if test fails

Description:

      Different connecting functions support passing TokenArrays for weights and delays.
      The values for weight and delays are expected to be doubles, but passing them
      as integers should not crash NEST. SLI's casting function getValue<double>
      in tokenutils.cc is strict and throws a TypeMisMatch, if something different
      from a DoubleDatum should be casted to a double.
      This test tests the relevant connecting functions.

Author:

    Tammo Ippen

FirstVersion:

    04/2014

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/testsuite/regressiontests/ticket-772.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative